

Name:           civetweb
Summary:        Embedded C/C++ web server
Version:        1.16
Release:    1%{?dist}
License:        MIT
Url:            https://github.com/civetweb/civetweb
Source0:         https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake make gcc-c++

%description
Civetweb is an easy to use, powerful, C (C/C++) embeddable web server
with optional CGI, SSL and Lua support.

CivetWeb can be used by developers as a library, to add web server
functionality to an existing application. It can also be used by end
users as a stand-alone web server running on a Windows or Linux PC.
It is available as single executable, no installation is required.

%package devel
Summary:        Civetweb Client Library C and C++ header files
Requires:       %{name} = %{version}-%{release}

%description devel
Civetweb shared libs and associated header files

%prep
%setup -q -n %{name}-%{version}

%build
%{cmake} . \
    -G "Unix Makefiles" \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DBUILD_CONFIG=rpmbuild \
    -DCIVETWEB_ENABLE_CXX:BOOL=ON \
    -DBUILD_SHARED_LIBS:BOOL=ON \
    -DCIVETWEB_BUILD_TESTING:BOOL=OFF

export GCC_COLORS=
export VERBOSE=1
%cmake_build %{?_smp_mflags}

%install
%cmake_install
mkdir -p %{buildroot}%{_docdir}/civetweb

%files
%{_bindir}/civetweb
%{_libdir}/libcivetweb.so.*
%{_libdir}/libcivetweb-cpp.so.*
%license LICENSE.md
%doc README.md RELEASE_NOTES.md SECURITY.md

%files devel
%{_includedir}/*.h
%{_libdir}/libcivetweb.so
%{_libdir}/libcivetweb-cpp.so
%{_libdir}/cmake/civetweb/*
%{_datadir}/pkgconfig/*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-1
- initial build
